package com.caliverse.admin.dynamodb.domain.doc;

import com.caliverse.admin.global.common.constants.DynamoDBConstants;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import software.amazon.awssdk.enhanced.dynamodb.mapper.annotations.DynamoDbAttribute;
import software.amazon.awssdk.enhanced.dynamodb.mapper.annotations.DynamoDbBean;

@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@DynamoDbBean
public class CharacterBaseDoc extends DynamoDBDocBase {
    private String characterBaseAttrib;

    public String getAttribFieldName() {
        return DynamoDBConstants.ATTRIB_CHARACTER;
    }

    @DynamoDbAttribute(DynamoDBConstants.ATTRIB_CHARACTER)
    @JsonProperty(DynamoDBConstants.ATTRIB_CHARACTER)
    public String getAttribValue() {
        return characterBaseAttrib;
    }

    public void setAttribValue(String value) {
        this.characterBaseAttrib = value;
    }
}

